Page 1 of 1

Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 5:07 am
by TigerShark
I compiled a version from the Github with all of the most-recent commits. If you try to enter a Host, the armies do not load as normal. The following are the only errors produced during the trial run:

Code: Select all

20160323 17:53:40.743 [gd.xml.ParseException: no root element in document]
20160323 17:53:40.744    gd.xml.XMLParser.readDocument(XMLParser.java:837)
20160323 17:53:40.744    gd.xml.XMLParser.parseXML(XMLParser.java:82)
20160323 17:53:40.744    server.campaign.util.XMLTerrainDataParser.<init>(XMLTerrainDataParser.java:153)
20160323 17:53:40.744    server.campaign.CampaignMain.<init>(CampaignMain.java:362)
20160323 17:53:40.744    server.MWServ.<init>(MWServ.java:148)
20160323 17:53:40.744    server.MWServ.main(MWServ.java:97)
20160323 17:54:02.348 Timestamp-only planetOpFlags.dat. Skipping.
20160323 17:54:02.632 Unable to load eleusis.dat
20160323 17:54:02.632 [java.lang.NullPointerException]
20160323 17:54:02.632    server.campaign.CampaignMain.loadPlanetData(CampaignMain.java:4052)
20160323 17:54:02.632    server.campaign.CampaignMain.<init>(CampaignMain.java:369)
20160323 17:54:02.632    server.MWServ.<init>(MWServ.java:148)
20160323 17:54:02.633    server.MWServ.main(MWServ.java:97)
20160323 17:54:11.153 Adding to whitelist: font
20160323 17:54:11.153 org.jsoup.safety.Whitelist@182b96
20160323 17:54:11.160 Server errors log touched.

Re: Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 2:17 pm
by Spork
Is this with the old version of MW you use? The old version of MW and the new version of MM are not a supported combination.

Re: Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 2:54 pm
by TigerShark
Spork wrote:Is this with the old version of MW you use? The old version of MW and the new version of MM are not a supported combination.
Actually, it does, thanks to Akjosch :) So with 0.3.7.3, I'm now running 41.16 MM.

But no, this was tested with both versions of MekWars. 0.3.7.3 and your 0.4.0.11.

Re: Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 4:06 pm
by Spork
"Runs with" is not the same as "supported."

Your error is here:

20160323 17:54:02.632 Unable to load eleusis.dat
20160323 17:54:02.632 [java.lang.NullPointerException]
20160323 17:54:02.632 server.campaign.CampaignMain.loadPlanetData(CampaignMain.java:4052)

Line 4052 in current code is:

Code: Select all

}
So... you're not using current code.

Tell me what line 4052 of your CampaignMain.java is, and we can find the problem. It's in your eleusis.dat file, though.

Re: Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 4:09 pm
by Spork
However, this has *nothing* to do with entering a game.

The game-entering issue is most likely an option-loading problem.

Unfortunately, the only way I found that the last time was through extensive code commenting and testing, something I am not going to do on an unsupported combination of software.

Re: Error(s) with current MM development snapshot

Posted: Thu Mar 24, 2016 6:15 pm
by TigerShark
Turns out that planet's .dat file was entirely blank. O.o

Fixed.